cURL
curl --request GET \ --url https://api.coval.dev/v1/agents/{agent_id}/mutations \ --header 'X-API-Key: <api-key>'
{ "mutations": [ { "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "agent_id": "gk3jK9mPq2xRt5vW8yZaBc", "display_name": "GPT-4 Fast VAD", "description": "Testing faster VAD settings", "config_overrides": { "voice": "nova", "vad_stop_secs": 0.3 }, "parameter_values": { "voice": "nova", "vad_stop_secs": "0.3" }, "create_time": "2025-10-14T12:00:00Z", "update_time": "2025-10-15T14:30:00Z" }, { "id": "01ARZ3NDEKTSV4RRFFQ69G5FAW", "agent_id": "gk3jK9mPq2xRt5vW8yZaBc", "display_name": "Claude Model", "description": "Testing Claude integration", "config_overrides": { "model": "claude-3-opus" }, "parameter_values": { "model": "claude-3-opus" }, "create_time": "2025-10-13T10:00:00Z", "update_time": null } ], "next_page_token": null, "total_count": 2 }
Retrieve a paginated list of mutations for a specific agent.
API key for authentication
Parent agent ID (22-character ShortUUID)
^[A-Za-z0-9]{22}$
Maximum number of results per page
1 <= x <= 100
Opaque pagination token from previous response
Mutations retrieved successfully
List of mutation resources
Show child attributes
Token for fetching next page (null if no more results)
"eyJvZmZzZXQiOjUwfQ=="
Total count of mutations matching filter
3
Was this page helpful?